=== debian/changelog ===
ardour (1:2.8.14-2) unstable; urgency=low

  * Bump policy to 3.9.4
  * Build-depend on libsuil-dev to enable LV2 GUIs (Closes: #690001)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 09 Oct 2012 13:55:59 +0200

ardour (1:2.8.14-1) unstable; urgency=low

  * Imported Upstream version 2.8.14 (Closes: #684610)
  * Drop obsolete patches that were merged upstream

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 11 Aug 2012 21:07:46 +0200

ardour (1:2.8.12+svn12923-1) unstable; urgency=low

  * Imported Upstream version 2.8.12+svn12923 (Closes: #678151)
  * Disable ardourino support. If you need it, please file a bug report.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 25 Jun 2012 17:29:09 +0200

ardour (1:2.8.12-2) unstable; urgency=low

  * Team upload.

  [ Jaromír Mikeš ]
  * Little fix in license reference

  [ Alessio Treglia ]
  * Fix FTBFS with GCC 4.7.
    Thanks to Matthias Klose for the patch. (Closes: #667101)
  * Replace lv2core with lv2-dev in Build-Depends.

 -- Alessio Treglia <alessio@debian.org>  Thu, 17 May 2012 11:02:30 +0200
