=== debian/control ===
Source: ardour
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Free Ekanayaka <freee@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 autotools-dev,
 devscripts,
 debhelper,
 dh-buildinfo,
 gettext,
 intltool,
 scons,
 libboost-dev,
 libcurl4-gnutls-dev,
 libfftw3-dev,
 libraptor1-dev (>= 1.4.21-5),
 liblrdf0-dev (>= 0.4.0-4),
 libsigc++-2.0-dev,
 libusb-dev,
 libxml2-dev (>= 2.5.7),
 librasqal3-dev | librasqal2-dev (>= 0.9.14),
 libcairomm-1.0-dev (>= 1.2.4),
 libglade2-dev,
 libglademm-2.4-dev,
 libglib2.0-dev,
 libgnomecanvas2-dev,
 libgnomecanvasmm-2.6-dev,
 libgtkmm-2.4-dev,
 libpango1.0-dev,
 ladspa-sdk (>= 1.1-2),
 libasound2-dev (>= 0.9.4) [linux-any],
 liboss-salsa-dev [!linux-any],
 libaubio-dev,
 libjack-dev,
 liblo-dev,
 libsuil-dev,
 libsamplerate0-dev,
 libslv2-dev (>= 0.6.6-7),
 libsndfile1-dev,
 libsoundtouch-dev (>= 1.5.0),
 lv2-dev,
 liblilv-dev,
 vamp-plugin-sdk (>=2.1)
Standards-Version: 3.9.4
DM-Upload-Allowed: yes
Homepage: http://www.ardour.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ardour.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ardour.git;a=summary

Package: ardour
Architecture: any
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${shlibs:Suggests}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: digital audio workstation (graphical gtk2 interface)
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups. 
 .
 Ardour supports pro-audio interfaces
 through the ALSA project, which provides high quality, well designed
 device drivers and API's for audio I/O under Linux. Any interface
 supported by ALSA can be used with Ardour. This includes the
 all-digital 26 channel RME Hammerfall, the Midiman Delta 1010 and many
 others.
 .
 Ardour has support for 24 bit samples
 using floating point internally, non-linear editing with unlimited undo,
 a user-configurable mixer, MTC master/slave capabilities, MIDI hardware
 control surface compatibility.
 .
 It supports MIDI
 Machine Control, and so can be controlled from any MMC controller and
 many modern digital mixers.
 .
 Ardour contains a
 powerful multitrack audio editor/arranger that is completely
 non-destructive and capable of all standard non-linear editing
 operations (insert, replace, delete, move, trim, select,
 cut/copy/paste). The editor has unlimited undo/redo capabilities and can
 save independent "versions" of a track or an entire piece
 .
 Ardour's editor supports the community-developed LADSPA
 plugin standard.  Arbitrary chains of plugins can be attached to any
 portion of a track.  Every mixer strip can have any number of inputs
 and outputs, not just mono, stereo or 5.1.  An N-way panner is
 included, with support for various panning models.  Pre- and post-fader
 sends exist, each with their own gain and pan controls.  Every mixer
 strip acts as its own bus, and thus the bus count in Ardour is
 unlimited.  You can submix any number of strips into another
 strip.
 .
 Ardour's channel capacity is limited only
 by the number on your audio interface and the ability of your disk
 subsystem to stream the data back and forth.
 .
 JACK
 (the JACK Audio Connection Kit) is used for all audio I/O, permitting
 data to be exchanged in perfect samplesync with other applications
 and/or hardware audio interfaces.
 .
 Ardour is
 sample rate and size neutral - any hardware formats from 8 to 32 bits,
 and rates from 8kHz to 192kHz.  Internal processing in 32/64 bit IEEE
 floating point format.
 .
 Further information can be
 found at <http://ardour.org/>.

Package: ardour-altivec
Architecture: powerpc
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${shlibs:Suggests}
Provides: ${cdbs:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: digital audio workstation (graphical gtk2 interface) [altivec]
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups. For more information see the description
 of the ardour package or <http://ardour.org/>.
 .
 This package is optimized for altivec and will not run on
 subarchitectures that don't support features enabled in altivec.
 It might fail with weird error SIGILLs and other non-obvious failures.
 Please refrain from filling bugs to the upstream author about this package
 that are not reproducible in the non-optimized package.

Package: ardour-i686
Architecture: i386
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends},
 ${cdbs:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${shlibs:Suggests}
Provides: ${cdbs:Provides}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Description: digital audio workstation (graphical gtk2 interface) [i686]
 Ardour is a multichannel hard disk recorder (HDR) and digital audio
 workstation (DAW).  It can be used to control, record, edit and run
 complex audio setups. For more information see the description
 of the ardour package or <http://ardour.org/>.
 .
 This package is optimized for i686 and will not run on
 subarchitectures that don't support features enabled in i686.
 It might fail with weird error SIGILLs and other non-obvious failures.
 Please refrain from filling bugs to the upstream author about this package
 that are not reproducible in the non-optimized package.
