=== SConstruct ===
--- 
+++ 
@@ -21,7 +21,7 @@
 SConsignFile()
 EnsureSConsVersion(0, 96)
 
-ardour_version = '2.8.14'
+ardour_version = '2.8.16'
 
 subst_dict = { }
 
@@ -35,10 +35,13 @@
     ('WINDOWS_KEY', 'Set X Modifier (Mod1,Mod2,Mod3,Mod4,Mod5) for "Windows" key', 'Mod4><Super'),
     ('PROGRAM_NAME', 'Set program name (default is "Ardour")', 'Ardour'),
     ('DIST_LIBDIR', 'Explicitly set library dir. If not set, Fedora-style defaults are used (typically lib or lib64)', ''),
+    ('BOOST_PREFIX', 'What prefix was boost installed in? (default is empty, implying /usr)', ''),
     PathVariable('DESTDIR', 'Set the intermediate install "prefix"', '/'),
     PathVariable('PREFIX', 'Set the install "prefix"', '/usr/local'),
     EnumVariable('DIST_TARGET', 'Build target for cross compiling packagers', 'auto', 
-          allowed_values=('auto', 'i386', 'i686', 'x86_64', 'powerpc', 'tiger', 'panther', 'leopard', 'none' ), ignorecase=2),
+          allowed_values=('auto', 'i386', 'i686', 'x86_64', 'powerpc', 
+                          'tiger', 'lion', 'none' ), ignorecase=2),
+    BoolVariable('GENERIC', 'Force 32 bit compilation on OS X targets', 0),
     BoolVariable('AUDIOUNITS', 'Compile with Apple\'s AudioUnit library. (experimental)', 0),
     BoolVariable('COREAUDIO', 'Compile with Apple\'s CoreAudio library', 0),
     BoolVariable('GTKOSX', 'Compile for use with GTK-OSX, not GTK-X11', 0),
@@ -54,7 +57,7 @@
     BoolVariable('NLS', 'Set to turn on i18n support', 1),
     BoolVariable('SURFACES', 'Build support for control surfaces', 1),
     BoolVariable('WIIMOTE', 'Build the wiimote control surface', 0),
-    BoolVariable('SYSLIBS', 'USE AT YOUR OWN RISK: CANCELS ALL SUPPORT FROM ARDOUR AUTHORS: Use existing system versions of various libraries instead of internal ones', 0),
+    BoolVariable('SYSLIBS', 'Use existing system versions of various libraries instead of internal ones', 1),
     BoolVariable('UNIVERSAL', 'Compile as universal binary.  Requires that external libraries are already universal.', 0),
     BoolVariable('VERSIONED', 'Add revision information to ardour/gtk executable name inside the build directory', 0),
     BoolVariable('VST', 'Compile with support for VST', 0),
@@ -85,11 +88,12 @@
             self.Append (CPPPATH = other.get('CPPPATH', []))
             self.Append (LINKFLAGS = other.get('LINKFLAGS', []))
             self.Append (CCFLAGS = other.get('CCFLAGS', []))
+            self.Append (CXXFLAGS = other.get('CXXFLAGS', []))
 	self.Replace(LIBPATH = list(Set(self.get('LIBPATH', []))))
 	self.Replace(CPPPATH = list(Set(self.get('CPPPATH',[]))))
         #doing LINKFLAGS breaks -framework
         #doing LIBS break link order dependency
-    
+
     def ENV_update(self, src_ENV):
         for k in src_ENV.keys():
             if k in self['ENV'].keys() and k in [ 'PATH', 'LD_LIBRARY_PATH',
@@ -245,8 +249,7 @@
     # on glibc systems, libintl is part of libc. not true on OS X
     #
     
-    if re.search ("darwin[0-9]", config[config_kernel]):
-        buildenv.Merge ([ libraries['intl'] ])
+    buildenv.Merge ([ libraries['intl'] ])
 
     installenv.Alias ('potupdate', buildenv.PotBuild (potfile, sources))
     
@@ -266,14 +269,11 @@
 
 
 def fetch_svn_revision (path):
-    cmd = "LANG= "
-    cmd += "svn info "
-    cmd += path
-    cmd += " 2>/dev/null | awk '/^Revision:/ { print $2}'"
+    cmd = "LANG= git describe --tags HEAD"
     return commands.getoutput (cmd)
 
 def create_stored_revision (target = None, source = None, env = None):
-    if os.path.exists('.svn'):    
+    if os.path.exists('.git'):    
         rev = fetch_svn_revision ('.');
         try:
             text  = "#include <ardour/svn_revision.h>\n"
@@ -301,4 +301,3 @@
 
 def version_builder (target, source, env):
 
-    text  = "int " + env['DOMAIN'] + "_major_version = " + str (env['MAJOR']) + ";\n"
