=== debian/changelog ===
ardour (1:2.8.16+git20131003-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Set priority optional.
  * Fix Vcs urls.
  * Imported Upstream version 2.8.16+git20131003

  [ Adrian Knoth ]
  * Remove obsolete 171_lilv-constness.patch
  * Generate svn_revision.cc from debian/rules
  * Add patch to fix FTBFS with libaubio4 (Closes: #733968)
  * Build-depend on libaubio >= 0.4.0

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 21 Jan 2014 20:35:34 +0100

ardour (1:2.8.16-2) unstable; urgency=low

  * Add patch to fix FTBFS (Closes: #713713)
  * Drop obsolete DMUA flag
  * Add patch to fix FTBFS with new lilv

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Fri, 04 Oct 2013 18:09:40 +0200

ardour (1:2.8.16-1) experimental; urgency=low

  * Imported Upstream version 2.8.16

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 27 Jan 2013 01:31:46 +0100
