=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ardour
 Section: sound
-Priority: extra
+Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Free Ekanayaka <freee@debian.org>,
@@ -34,7 +34,7 @@
  ladspa-sdk (>= 1.1-2),
  libasound2-dev (>= 0.9.4) [linux-any],
  liboss-salsa-dev [!linux-any],
- libaubio-dev,
+ libaubio-dev (>= 0.4.0),
  libjack-dev,
  liblo-dev,
  libsuil-dev,
@@ -46,10 +46,9 @@
  liblilv-dev,
  vamp-plugin-sdk (>=2.1)
 Standards-Version: 3.9.4
-DM-Upload-Allowed: yes
 Homepage: http://www.ardour.org/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/ardour.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ardour.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ardour.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ardour.git
 
 Package: ardour
 Architecture: any
