=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,7 @@
 BUILD_FILES = ardour.rc.in gtk2_ardour icons libs SConstruct templates tools vst
 
 common-build-arch:: debian/stamp-scons-build
-debian/stamp-scons-build:
+debian/stamp-scons-build: libs/ardour/svn_revision.cc
 	mkdir -p $(DEB_DESTDIR)/generic
 	mkdir -p build-generic
 	cp -alf $(BUILD_FILES) build-generic
@@ -74,6 +74,11 @@
 		DEBUG=no $(DEB_SCONS_EXTRA_FLAGS)
 endif
 	touch $@
+
+libs/ardour/svn_revision.cc:
+	echo '#include "ardour/svn_revision.h"' > $@
+	echo "namespace ARDOUR { extern const char* svn_revision = \"${DEB_VERSION}\"; }" >> $@
+
 
 install/ardour::
 	cd build-generic && $(DEB_SCONS_INVOKE) 'ARCH=$(CFLAGS)' \
@@ -110,6 +115,7 @@
 
 	rm -rf debian/ardour-dbg
 	rm -f gtk2_ardour/*.mo
+	rm -f libs/ardour/svn_revision.cc
 
 # Needed at build time
 # (separated in build tools, core, Glib/GTK and audio dependencies)
@@ -136,7 +142,7 @@
 CDBS_BUILD_DEPENDS += , ladspa-sdk (>= 1.1-2),\
 					  libasound2-dev (>= 0.9.4) [linux-any],\
 					  liboss-salsa-dev [!linux-any],\
-					  libaubio-dev,\
+					  libaubio-dev (>= 0.4.0),\
 					  libjack-dev,\
 					  liblo-dev,\
 					  libsuil-dev,\
