=== debian/watch ===
version=3
# Homepage  Pattern  [Version  [Action]]
http://www.ardour.org/source_downloads http://releases.ardour.org/ardour-(2.[\d\.]+)\.tar\.bz2
