## ardour 2.8.16+git20131003+dfsg1

=== debian/changelog ===
ardour (1:2.8.16+git20131003+dfsg1-1~deb8u1) jessie; urgency=medium

  * Repack to remove libs/pdb/dmalloc.cc. (Closes: #810754)
  * debian/patches/debian/patches/190_exclude_dmalloc.patch: Do not build
    dmalloc.cc.
  * debian/copyright:
    - Add libs/pdb/dmalloc.cc to Files-Excluded.
    - Remove libs/pdb/dmalloc.cc paragraph.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Jan 2016 16:10:25 +0100

ardour (1:2.8.16+git20131003-4) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards.
  * Add exec-code to desktop files.
  * Update copyright file. (Closes: #749363)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 21 Oct 2014 02:35:29 +0200

ardour (1:2.8.16+git20131003-3) experimental; urgency=low

  * Team upload

  [ Jaromír Mikeš ]
  * Add -dbg package

  [ Felipe Sateler ]
  * Upload to experimental

 -- Felipe Sateler <fsateler@debian.org>  Thu, 22 May 2014 14:39:25 -0400

ardour (1:2.8.16+git20131003-2) unstable; urgency=low

  [ Felipe Sateler ]
  * Drop unused build-dependency on libslv2-dev. (Closes: #740832)

  [ Jaromír Mikeš ]
  * Bump Standards.
  * Set dh/compat 9.
  * Added Keywords to desktop file.
  * Disable debug hints.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 05 May 2014 02:13:26 +0200
