=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends: cdbs,
  autotools-dev,
  devscripts,
- debhelper,
+ debhelper (>= 9),
  dh-buildinfo,
  gettext,
  intltool,
@@ -39,13 +39,12 @@
  liblo-dev,
  libsuil-dev,
  libsamplerate0-dev,
- libslv2-dev (>= 0.6.6-7),
  libsndfile1-dev,
  libsoundtouch-dev (>= 1.5.0),
  lv2-dev,
  liblilv-dev,
  vamp-plugin-sdk (>=2.1)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.ardour.org/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/ardour.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/ardour.git
@@ -115,6 +114,21 @@
  Further information can be
  found at <http://ardour.org/>.
 
+Package: ardour-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: ardour (= ${binary:Version}) | ardour-altivec (= ${binary:Version}) | ardour-i686 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends},
+Suggests: ${shlibs:Suggests}
+Description: digital audio workstation (debug)
+ Ardour is a multichannel hard disk recorder (HDR) and digital audio
+ workstation (DAW).  It can be used to control, record, edit and run
+ complex audio setups. 
+ .
+ This package contains the debugging symbols.
+
 Package: ardour-altivec
 Architecture: powerpc
 Depends: ${shlibs:Depends},
